#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run zbot with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex:
    print(str(ex))
    os._exit(1)

from distutils import sysconfig
site_packages_path = sysconfig.get_python_lib()

setup(
    name='zbot',
    version='35',
    url='https://pikacode.com/milla/zbot',
    author='Bart Thate',
    author_email='milla@dds.nl',
    description='zbot find text=tip From Subject Date',
    license='MIT',
    include_package_data=True,
    zip_safe=False,
    install_requires=["distribute", "beautifulsoup4", "sleekxmpp", "natural"],
    scripts=["bin/zbot", "bin/zbot-sed", ],
    packages=['zbot', 
              'zbot.plugs',
              'zbot.drivers',
             ],
    long_description = """ xmpp, irc, shell, cli, json 

       milla@reppa:~$ zbot find To=om.nl To Subject=methodiek path

        1) Janneke Kramers (stichting CCAF) <j.kramers@ccaf.nl>, tstikker@ggznederland.nl, k.dejong@ggz-nhn.nl, 
	2) Hans Kroon <hkroon@trimbos.nl>, anoiksis@anoiksis.nl, J.Penders@nationaleombudsman.nl, 
	3) Postbus@noord-holland.politie.nl, r.hofstee@pvp.nl, rmoltzer@hotmail.com, 
	4) A.Korver@slachtofferhulp.nl, H.Oostra@ggz-nhn.nl, pjotrkuilboer@kpnplanet.nl, 
	5) nrc@nrc.nl, redactie@trouw.nl, l.bouwmeester@tweedekamer.nl, R.Verheul@uva.nl, 
	6) info@slachtofferhulp.nl, klachtencommissiepvp@gmail.com, 
	7) info@noagendareport.com, m.j.thate@tele2.nl, h.thate@planet.nl, 
	8) Anneke Willems <annekewillems@tele2.nl>, marjan.drukker@maastrichtuniversity.nl, 
	9) Levenseindekliniek <aanmelding@levenseindekliniek.nl>, chestin@vabewindvoering.nl, 
	10) Joris Vandalon <joris@vandalon.nl>, AP-Alkmaar@om.nl, 
	11) Bart Veer <bveer@ggdhollandsnoorden.nl>, "Muskens, Thera" <TMuskens@meenwh.nl>, 
	12) Annemiek van der Leeden <leesfriek@gmail.com>, Ronald lodder <ronald1michel@gmail.com>, 
	13) E.VanDeBilt@platformggz.nl, daanmarselis@gmail.com, 
	14) tekeertegendeisoleer@hotmail.com, mvanderlinden@alysis.nl, 
	15)redactie@telegraaf.nl, redactie@nhd.nl, www@vpro.nl, sdn@planet.nl 


        milla@reppa:~$ zbot find To=om.nl To text=bewijs Subject Date

        AP-Alkmaar@om.nl -=- Fwd: verzoek aan de officier van justitie om tot strafrechtelijke vervolging over te gaan -=- Tue, 4 Sep 2012 20:12:52 +0200

""",
    data_files=[('doc', ["LICENSE", ]),],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Other Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Communications :: Email',
        'Topic :: Software Development :: Libraries :: Python Modules'],
)
